<div class="docs-primary-header component-page-header">
  <mat-chip-list>
    <mat-chip>
      <mat-icon>home</mat-icon>
      <a routerLink="/dashboard">Home</a>  /
      <a routerLink="/subcategories">SubCategories</a>/Deleted SubCategories
    </mat-chip>
  </mat-chip-list>
</div>


<div style="padding:15px;" class="appereance">
  <div class="example-container mat-elevation-z2 radius">
    <div class="title">
      <span>SUB CATEGORIES</span>
      <div style="flex-grow:1;"></div>
      <a routerLink="/subcategories" style="font-size: 16px;padding: 5px;">SubCategories</a>&nbsp;
    
      <button mat-raised-button style="cursor: pointer;" (click)="delete()" color="accent">RECOVER</button> 
    </div>
    <div class="example-header">
      <mat-form-field>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
      </mat-form-field>
    </div>

    <mat-table #table [dataSource]="dataSource" matSort>

      <ng-container matColumnDef="sub_category_id">
        <mat-header-cell *matHeaderCellDef mat-sort-header> ID. </mat-header-cell>
        <mat-cell *matCellDef="let element; let i=index"> {{i+1}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="sub_category_image">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Image </mat-header-cell>
        <mat-cell *matCellDef="let element">
            <img  [src]="element.sub_category_image==null? 'http://13.236.78.106/api/No_image_available.svg.png':element.sub_category_image" width="50px"> 
        </mat-cell>
      </ng-container>

      <ng-container matColumnDef="category_name">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Category Name </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.category_name}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="sub_category_name">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Sub-Category Name </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.sub_category_name}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="fields">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Fields </mat-header-cell>
        <mat-cell *matCellDef="let element">

          <mat-accordion>
            <mat-expansion-panel style="box-shadow: none;">
              <mat-expansion-panel-header>
                <mat-panel-title>
                  Inputs
                </mat-panel-title>
              </mat-expansion-panel-header>
              <ng-container *ngFor="let input of element.fields.inputFields">
                <mat-chip-list>
                  <mat-chip class="container">{{input.input}}</mat-chip>
                </mat-chip-list>
              </ng-container>
            </mat-expansion-panel>

            <mat-expansion-panel style="box-shadow: none;" *ngIf="element.fields.dropdownFields != null">
              <mat-expansion-panel-header>
                <mat-panel-title>
                  Dropdowns
                </mat-panel-title>
              </mat-expansion-panel-header>

              <ng-container *ngFor="let dropdown of element.fields.dropdownFields">
                <mat-chip-list>
                  <mat-chip class="container">{{dropdown.dropdown}}</mat-chip>
                </mat-chip-list>
              </ng-container>
            </mat-expansion-panel>
          </mat-accordion>

        </mat-cell>
      </ng-container>

    
      <!-- <ng-container matColumnDef="action"> 
        <mat-header-cell *matHeaderCellDef mat-sort-header> Select </mat-header-cell>
        <mat-cell *matCellDef="let element"><mat-checkbox (change)="sendIDS($event.checked,element.sub_category_id)" color="primary"></mat-checkbox></mat-cell>
      </ng-container> -->
      <ng-container matColumnDef="action">
          <mat-header-cell *matHeaderCellDef>
            <mat-checkbox (change)="alltogglecheck($event.checked,posts)"
            [checked]="allsel"   [indeterminate]="this.intsel > 0 ? true : false"
                >
            </mat-checkbox>
          </mat-header-cell>
          <mat-cell *matCellDef="let row">  
            <mat-checkbox  (change)="sendIDS($event.checked,row.sub_category_id,posts.length)"
                          [checked]="sel">
            </mat-checkbox>
          </mat-cell>
        </ng-container>
      <mat-header-row *matHeaderRowDef="['sub_category_id','sub_category_image', 'category_name', 'sub_category_name', 'fields', 'action']"></mat-header-row>
      <mat-row *matRowDef="let row; columns: ['sub_category_id','sub_category_image', 'category_name', 'sub_category_name', 'fields','action']"></mat-row>

    </mat-table>

    <mat-paginator [length]="100" [pageSize]="5" [pageSizeOptions]="[5, 10, 25, 100]">
    </mat-paginator>
  </div>
</div>

